diff --git a/gba/logosplash/data/helds_logo_new.bin b/gba/logosplash/data/helds_logo_new.bin
new file mode 100644
index 0000000..2096cdb
--- /dev/null
+++ b/gba/logosplash/data/helds_logo_new.bin
@@ -0,0 +1,8 @@
+																																												




+
+
+
+
+
+
+
\ No newline at end of file
diff --git a/gba/logosplash/data/helds_pal.bin b/gba/logosplash/data/helds_pal.bin
new file mode 100644
index 0000000..5be025d
Binary files /dev/null and b/gba/logosplash/data/helds_pal.bin differ
diff --git a/gba/logosplash/src/logosplash.c b/gba/logosplash/src/logosplash.c
index d4f7a84..a976145 100644
--- a/gba/logosplash/src/logosplash.c
+++ b/gba/logosplash/src/logosplash.c
@@ -18,6 +18,8 @@
 //---------------------------------------------------------------------------------
 #include "helds_logo_pcx.h"
 #include "s_piece_bin.h"
+#include "helds_logo_new_bin.h"
+#include "helds_pal_bin.h"
 
 //---------------------------------------------------------------------------------
 // storage space for palette data
@@ -54,8 +56,9 @@ int main(void)
 
 	// screen mode, background and objects to display
 	SetMode( MODE_4 | BG2_ON | OBJ_ON );
-
-	DecodePCX(helds_logo_pcx, (u16*)VRAM , PaletteBuffer);
+	
+	CpuFastSet(helds_logo_new_bin, (u16*)VRAM, COPY32 | helds_logo_new_bin_size/4);
+	CpuFastSet(helds_pal_bin, PaletteBuffer, COPY32 | helds_pal_bin_size / 4);
 	FadeToPalette( PaletteBuffer, 60);
 
 	CpuFastSet(s_piece_bin, BITMAP_OBJ_BASE_ADR, COPY32 | s_piece_bin_size/4);
@@ -66,7 +69,6 @@ int main(void)
 	sprite.attr1 = OBJ_X(120);
 	sprite.attr2 = OBJ_CHAR(512);
 
-	u16 i;
 	u16* dst, *src;
 
 	while (1)
